Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 155934 - games-puzzle/sdlvexed-0.6 - Bareword ... not allowed while "strict subs" in use
Summary: games-puzzle/sdlvexed-0.6 - Bareword ... not allowed while "strict subs" in use
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2006-11-22 04:56 UTC by Lee Harr
Modified: 2007-04-20 18:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix errors that don't let the game run (vexed.patch,1.57 KB, text/plain)
2007-03-25 16:32 UTC, Andoni Zubimendi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Harr 2006-11-22 04:56:53 UTC
When running sdlvexed, I get many errors like this:

Bareword "SDL_KEYDOWN" not allowed while "strict subs" in use at /usr/games/bin/sdlvexed line 173.
Bareword "SDLK_q" not allowed while "strict subs" in use at /usr/games/bin/sdlvexed line 175.
Bareword "SDLK_RETURN" not allowed while "strict subs" in use at /usr/games/bin/sdlvexed line 179.


Not knowing much about it, I tried removing "use strict", but then I get other errors ...

I am using:
sdlvexed 0.6
perl 5.8.8-r2
sdl-perl 2.1.3-r2
libsdl 1.2.11-r1
sdl-gfx 2.0.13-r1
sdl-image 1.2.5-r1
sdl-mixer 1.2.7
sdl-sound 1.0.1-r1


and of course...

# emerge --info
Portage 2.1.1-r1 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r4, 2.6.18-gentoo-r2 i686)
=================================================================
System uname: 2.6.18-gentoo-r2 i686 AMD Athlon(tm)
Gentoo Base System version 1.12.6
Last Sync: Wed, 15 Nov 2006 22:00:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.5-r3, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.4.3-r4, 1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://mirrors.tds.net/gentoo ftp://mirrors.tds.net/gentoo http://gentoo.osuosl.org/"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage /usr/portage/local/layman/oomadness"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac alsa arts berkdb bitmap-fonts cairo cli cracklib crypt cups dlloader dri dvd elibc_glibc flac fortran gdbm gif gnome gpm gtk2 iconv input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kde kernel_linux libg++ mng mp3 mpeg ncurses nls nptl nptlonly ogg opengl pam pcre perl png postgres ppds pppd python quicktime readline reflection sdl session spl sqlite ssl svg tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_fbdev video_cards_vesa video_cards_via vorbis win32codecs xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mr. Bones. (RETIRED) gentoo-dev 2007-03-09 07:56:27 UTC
Doesn't work with the newer sdl-perl.  Masked for removal Apr. 9.
Comment 2 Andoni Zubimendi 2007-03-25 16:32:15 UTC
Created attachment 114378 [details]
Fix errors that don't let the game run

With this patch I can run the game without problems. I'm using ~x86.
Comment 3 Mr. Bones. (RETIRED) gentoo-dev 2007-03-25 23:30:35 UTC
Still segfaults on exit for me.
Comment 4 Andoni Zubimendi 2007-03-27 22:19:47 UTC
Can you paste the output ?

I don't get any segfault on exit. I would like to see what's wrong and maybe can be fixed.
Comment 5 Mr. Bones. (RETIRED) gentoo-dev 2007-03-29 18:06:57 UTC
$ sdlvexed

------- Vexed 0.6 ----------------------------------------------------


coded by krzynio <krzynio@apcoh.org>,

gfx taken from original vexed; some gfx made by anonymous vexed player,

msx by lancaster.


Enjoy...


---------------------------------------------------------------------------

Segmentation fault

load it up, wait for the cheesy intro, press escape at the first board.
not very interesting.
Comment 6 Mr. Bones. (RETIRED) gentoo-dev 2007-04-20 18:19:57 UTC
games-puzzle/sdlvexed removed from portage.